Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 12247)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/applicant.py	(revision 12394)
@@ -165,7 +165,9 @@
         notify(grok.ObjectModifiedEvent(student))
         # Save application slip
-        self._createApplicationPDF(student, view=view)
-
-        return True, _('Student ${a} created', mapping = {'a':student.student_id})
+        try:
+            self._createApplicationPDF(student, view=view)
+            return True, _('Student ${a} created', mapping = {'a':student.student_id})
+        except IOError:
+            return False, _('IOError: Application Slip could not be created.')
 
     def _createApplicationPDF(self, student, view=None):
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_container_data.csv
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_container_data.csv	(revision 12247)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/sample_container_data.csv	(revision 12394)
@@ -1,7 +1,7 @@
 code,title,prefix,year,application_category,description,startdate,enddate,strict_deadline,mode
-app2012,General Studies 2012/2013,app,2012,basic,"This text can been seen by anonymous users.
+app2014,General Studies,app,2014,basic,"This text can been seen by anonymous users.
 >>de<<
 Dieser Text kann von anonymen Benutzern gelesen werden.",2012-03-01,2012-04-25,1,create
-app2013,General Studies 2013/2014,app,2012,basic,"This text can been seen by anonymous users.
+app2015,General Studies,app,2015,basic,"This text can been seen by anonymous users.
 >>de<<
 Dieser Text kann von anonymen Benutzern gelesen werden.",2013-03-01,2013-04-25,1,create
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py	(revision 12247)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py	(revision 12394)
@@ -151,14 +151,14 @@
             self.csv_file, APPS_CONTAINER_HEADER_FIELDS)
         avail_containers = [x for x in self.app['applicants'].keys()]
-        container = self.app['applicants'].get('app2012', None)
-        container2 = self.app['applicants'].get('app2013', None)
+        container = self.app['applicants'].get('app2014', None)
+        container2 = self.app['applicants'].get('app2015', None)
         self.assertTrue(container is not None)
         self.assertTrue(container2 is not None)
 
         # check attributes
-        self.assertEqual(container.code, u'app2012')
-        self.assertEqual(container.title, u'General Studies 2012/2013')
+        self.assertEqual(container.code, u'app2014')
+        self.assertEqual(container.title, u'General Studies')
         self.assertEqual(container.prefix, u'app')
-        self.assertEqual(container.year, 2012)
+        self.assertEqual(container.year, 2014)
         self.assertEqual(container.application_category, 'basic')
         self.assertEqual(
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 12247)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 12394)
@@ -49,15 +49,15 @@
     def setup_container(self, container):
         # set all attributes of a container
-        container.code = u'dp2012'
-        container.title = u'General Studies 2012/13'
+        container.code = u'dp2015'
+        container.title = u'General Studies'
         container.prefix = list(ApplicationTypeSource()(container))[0]
-        container.year = 2012
+        container.year = 2015
         container.application_category = list(AppCatSource()(container))[0]
         container.description = u'Some Description\nwith linebreak\n'
         container.description += u'<<de>>man spriht deutsh'
         container.startdate = datetime.datetime(
-            2012, 1, 1, 12, 0, 0, tzinfo=pytz.utc)
+            2015, 1, 1, 12, 0, 0, tzinfo=pytz.utc)
         container.enddate = datetime.datetime(
-            2012, 1, 31, 23, 0, 0, tzinfo=pytz.utc)
+            2015, 1, 31, 23, 0, 0, tzinfo=pytz.utc)
         return container
 
@@ -74,8 +74,8 @@
             'enddate,hidden,mode,prefix,startdate,strict_deadline,title,year\r\n'
 
-            'basic,0.0,,dp2012,'
+            'basic,0.0,,dp2015,'
             '"Some Description\nwith linebreak\n<<de>>man spriht deutsh",'
-            '2012-01-31 23:00:00+00:00#,0,,app,2012-01-01 12:00:00+00:00#,1,'
-            'General Studies 2012/13,2012\r\n'
+            '2015-01-31 23:00:00+00:00#,0,,app,2015-01-01 12:00:00+00:00#,1,'
+            'General Studies,2015\r\n'
             )
         return