Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/batching.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/batching.py	(revision 12400)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/batching.py	(revision 12401)
@@ -26,5 +26,5 @@
     IPCNCustomerJPGDocument,
     IPCNCustomerPDFDocument,
-    IPCNContract)
+    IPCNLicenseContract)
 from ikobacustom.pcn.interfaces import MessageFactory as _
 
@@ -57,10 +57,10 @@
     factory_name = 'waeup.PCNCustomerPDFDocument'
 
-class PCNContractProcessor(ContractProcessorBase):
-    """A batch processor for IPCNContract objects.
+class PCNLicenseContractProcessor(ContractProcessorBase):
+    """A batch processor for IPCNLicenseContract objects.
     """
-    util_name = 'pcncontractprocessor'
+    util_name = 'pcnlicensecontractprocessor'
     grok.name(util_name)
     name = _('PCN Customer Contract Processor')
-    iface = IPCNContract
-    factory_name = 'waeup.PCNContract'
+    iface = IPCNLicenseContract
+    factory_name = 'waeup.PCNLicenseContract'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py	(revision 12400)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/contracts.py	(revision 12401)
@@ -28,40 +28,40 @@
 from ikobacustom.pcn.interfaces import MessageFactory as _
 from ikobacustom.pcn.customers.interfaces import (
-    IPCNContract, IPCNContractEdit, IPCNContractProcess)
+    IPCNLicenseContract, IPCNLicenseContractEdit, IPCNLicenseContractProcess)
 
 
-class PCNContract(ContractBase):
+class PCNLicenseContract(ContractBase):
     """This is a sample contract.
     """
 
     grok.implements(
-        IPCNContractProcess,
-        IPCNContract,
-        IPCNContractEdit,
+        IPCNLicenseContractProcess,
+        IPCNLicenseContract,
+        IPCNLicenseContractEdit,
         ICustomerNavigation)
 
     contract_category = 'license'
 
-    form_fields_interface = IPCNContract
+    form_fields_interface = IPCNLicenseContract
 
-    edit_form_fields_interface = IPCNContractEdit
+    edit_form_fields_interface = IPCNLicenseContractEdit
 
-    check_docs_interface = IPCNContract
+    check_docs_interface = IPCNLicenseContract
 
-PCNContract = attrs_to_fields(PCNContract)
+PCNLicenseContract = attrs_to_fields(PCNLicenseContract)
 
 
 # Contracts must be importable. So we might need a factory.
-class PCNContractFactory(grok.GlobalUtility):
+class PCNLicenseContractFactory(grok.GlobalUtility):
     """A factory for contracts.
     """
     grok.implements(IFactory)
-    grok.name(u'waeup.PCNContract')
-    title = u"Create a new contract.",
-    description = u"This factory instantiates new sample contract instances."
+    grok.name(u'waeup.PCNLicenseContract')
+    title = u"Create a new license contract.",
+    description = u"This factory instantiates new license contract instances."
 
     def __call__(self, *args, **kw):
-        return PCNContract(*args, **kw)
+        return PCNLicenseContract(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(PCNContract)
+        return implementedBy(PCNLicenseContract)
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/export.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/export.py	(revision 12400)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/export.py	(revision 12401)
@@ -23,5 +23,5 @@
 from ikobacustom.pcn.customers.interfaces import (
     IPCNCustomer, IPCNCustomerJPGDocument,
-    IPCNCustomerPDFDocument, IPCNContract)
+    IPCNCustomerPDFDocument, IPCNLicenseContract)
 from ikobacustom.pcn.interfaces import MessageFactory as _
 
@@ -50,9 +50,9 @@
 
 
-class PCNContractExporter(ContractExporterBase):
+class PCNLicenseContractExporter(ContractExporterBase):
     """Exporter for Contract instances.
     """
-    grok.name('pcncontracts')
-    iface = IPCNContract
-    title = _(u'PCN Customer Contracts')
-    class_name = 'PCNContract'
+    grok.name('pcnlicensecontracts')
+    iface = IPCNLicenseContract
+    title = _(u'PCN Customer License Contracts')
+    class_name = 'PCNLicenseContract'
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py	(revision 12400)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/interfaces.py	(revision 12401)
@@ -46,5 +46,5 @@
 # Customer contract interfaces
 
-class IPCNContract(IContract):
+class IPCNLicenseContract(IContract):
     """A customer contract sample with document attached.
 
@@ -57,5 +57,5 @@
         )
 
-class IPCNContractProcess(IPCNContract):
+class IPCNLicenseContractProcess(IPCNLicenseContract):
     """Interface for processing contract data.
     """
@@ -69,5 +69,5 @@
         )
 
-class IPCNContractEdit(IPCNContract):
+class IPCNLicenseContractEdit(IPCNLicenseContract):
     """Interface for editing sample contract data by customers.
 
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py	(revision 12400)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_browser.py	(revision 12401)
@@ -34,10 +34,10 @@
     PCNCustomerPDFDocumentExporter,
     PCNCustomerJPGDocumentExporter,
-    PCNContractExporter)
+    PCNLicenseContractExporter)
 from ikobacustom.pcn.customers.batching import (
     PCNCustomerProcessor,
     PCNCustomerPDFDocumentProcessor,
     PCNCustomerJPGDocumentProcessor,
-    PCNContractProcessor)
+    PCNLicenseContractProcessor)
 from ikobacustom.pcn.testing import FunctionalLayer, samples_dir
 
@@ -68,5 +68,5 @@
         customer['documents'].addDocument(document1)
         customer['documents'].addDocument(document2)
-        contract = createObject(u'waeup.PCNContract')
+        contract = createObject(u'waeup.PCNLicenseContract')
         contract.tc_dict = {'en':u'Hello World'}
         customer['contracts'].addContract(contract)
@@ -210,5 +210,5 @@
         # set values we can expect in export file
         self.setup_for_export()
-        exporter = PCNContractExporter()
+        exporter = PCNLicenseContractExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -217,15 +217,15 @@
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'PCNContract,license,%s,,'
+            'PCNLicenseContract,license,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
             % self.contract.contract_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
-        processor = PCNContractProcessor()
+        processor = PCNLicenseContractProcessor()
         open(self.outfile, 'wb').write(
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,product_object,product_options,'
             'state,tc_dict,title,user_id\r\n'
-            'PCNContract,license,%s,,'
+            'PCNLicenseContract,license,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
             ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
@@ -270,5 +270,5 @@
         self._contract_category = u'license'
         self._document_factory = 'waeup.PCNCustomerPDFDocument'
-        self._contract_factory = 'waeup.PCNContract'
+        self._contract_factory = 'waeup.PCNLicenseContract'
         return
 
@@ -322,5 +322,5 @@
         self._contract_category = u'license'
         self._document_factory = 'waeup.PCNCustomerPDFDocument'
-        self._contract_factory = 'waeup.PCNContract'
+        self._contract_factory = 'waeup.PCNLicenseContract'
         return
 
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_contract.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_contract.py	(revision 12400)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/tests/test_contract.py	(revision 12401)
@@ -29,6 +29,6 @@
 
 from ikobacustom.pcn.testing import (FunctionalLayer, FunctionalTestCase)
-from ikobacustom.pcn.customers.contracts import PCNContract
-from ikobacustom.pcn.customers.interfaces import IPCNContract
+from ikobacustom.pcn.customers.contracts import PCNLicenseContract
+from ikobacustom.pcn.customers.interfaces import IPCNLicenseContract
 
 
@@ -38,17 +38,17 @@
 
     def test_interfaces(self):
-        verify.verifyClass(IPCNContract, PCNContract)
-        verify.verifyClass(ICustomerNavigation, PCNContract)
-        verify.verifyObject(IPCNContract, PCNContract())
-        verify.verifyObject(ICustomerNavigation, PCNContract())
+        verify.verifyClass(IPCNLicenseContract, PCNLicenseContract)
+        verify.verifyClass(ICustomerNavigation, PCNLicenseContract)
+        verify.verifyObject(IPCNLicenseContract, PCNLicenseContract())
+        verify.verifyObject(ICustomerNavigation, PCNLicenseContract())
         return
 
     def test_addContract(self):
         container = ContractsContainer()
-        contract = createObject(u'waeup.PCNContract')
+        contract = createObject(u'waeup.PCNLicenseContract')
         id = contract.contract_id
         container.addContract(contract)
         self.assertEqual(container[id], contract)
         self.assertRaises(TypeError, container.addContract, object())
-        self.assertEqual(contract.class_name, 'PCNContract')
+        self.assertEqual(contract.class_name, 'PCNLicenseContract')
         return
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py	(revision 12400)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/customers/utils.py	(revision 12401)
@@ -54,5 +54,5 @@
         #'SampleContract': _('Sample Contract'),
 
-        'PCNContract': _('PCN Contract'),
+        'PCNLicenseContract': _('PCN License Contract'),
         }
 
@@ -65,3 +65,3 @@
         'pcncustomerjpgdocuments',
         'pcncustomerpdfdocuments',
-        'pcncontracts')
+        'pcnlicensecontracts')
Index: main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py
===================================================================
--- main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py	(revision 12400)
+++ main/ikobacustom.pcn/trunk/src/ikobacustom/pcn/utils/utils.py	(revision 12401)
@@ -67,5 +67,5 @@
         'pcncustomerjpgdocuments',
         'pcncustomerpdfdocuments',
-        'pcncontracts')
+        'pcnlicensecontracts')
 
     BATCH_PROCESSOR_NAMES = (
@@ -73,5 +73,5 @@
         'pcncustomerjpgdocumentprocessor',
         'pcncustomerpdfdocumentprocessor',
-        'pcncontractprocessor',
+        'pcnlicensecontractprocessor',
         'pcnproductprocessor',
         'pdfdocumentprocessor',