Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/browser.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/browser.py	(revision 12412)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/browser.py	(revision 12413)
@@ -135,5 +135,10 @@
         document = createObject('waeup.%s' % doctype)
         self.applyData(document, **data)
-        self.context.addDocument(document)
+        try:
+            self.context.addDocument(document)
+        except KeyError:
+            self.flash(_('The id chosen already exists.'),
+                       type='danger')
+            return
         doctype = getUtility(IDocumentsUtils).SELECTABLE_DOCTYPES_DICT[doctype]
         self.flash(_('${a} added.', mapping = {'a': doctype}))
@@ -141,5 +146,6 @@
         self.context.__parent__.logger.info(
             '%s - added: %s %s' % (ob_class, doctype, document.document_id))
-        self.redirect(self.url(self.context, u'manage'))
+        self.redirect(self.url(self.context) +
+            '/%s/manage' % document.document_id)
         return
 
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/tests/test_browser.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/tests/test_browser.py	(revision 12412)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/documents/tests/test_browser.py	(revision 12413)
@@ -117,6 +117,4 @@
 
         # Document can be edited
-        self.browser.getLink("DOC1").click()
-        self.browser.getLink("Manage").click()
         self.browser.getControl(name="form.title").value = 'My first doc'
         self.browser.getControl("Save").click()
@@ -221,6 +219,4 @@
 
         # Document can be edited
-        self.browser.getLink("DOC2").click()
-        self.browser.getLink("Manage").click()
         self.browser.getControl(name="form.title").value = 'My second doc'
         self.browser.getControl(name="form.html_multilingual").value = """
@@ -310,6 +306,4 @@
 
         # Document can be edited
-        self.browser.getLink("DOC3").click()
-        self.browser.getLink("Manage").click()
         self.browser.getControl(name="form.rest_multilingual").value = """
 ----------
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py	(revision 12412)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser.py	(revision 12413)
@@ -94,4 +94,9 @@
     tabtwoactions = [_('Add product'), _('Remove selected'),_('Cancel')]
 
+    @action(_('Add product'), style='primary', validator=NullValidator)
+    def addSubunit(self, **data):
+        self.redirect(self.url(self.context, 'addproduct'))
+        return
+
     @jsaction(_('Remove selected'))
     def delProducts(self, **data):
@@ -106,9 +111,4 @@
     def cancel(self, **data):
         self.redirect(self.url(self.context))
-        return
-
-    @action(_('Add product'), validator=NullValidator)
-    def addSubunit(self, **data):
-        self.redirect(self.url(self.context, 'addproduct'))
         return
 
@@ -131,5 +131,5 @@
             self.context.addProduct(product)
         except KeyError:
-            self.flash(_('The Id chosen already exists.'),
+            self.flash(_('The id chosen already exists.'),
                        type='danger')
             return
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser_templates/containermanagepage.pt
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser_templates/containermanagepage.pt	(revision 12412)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/browser_templates/containermanagepage.pt	(revision 12413)
@@ -20,4 +20,5 @@
         </tbody>
       </table>
+      <br /><p i18n:translate="">Setting parameters no yet configured.</p>
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">