Index: /main/waeup.ikoba/trunk/README.txt
===================================================================
--- /main/waeup.ikoba/trunk/README.txt	(revision 12431)
+++ /main/waeup.ikoba/trunk/README.txt	(revision 12432)
@@ -2,12 +2,116 @@
 *********************
 
-Ikoba, which means 'bucket' in Bini language,
-is a multifunctional Application and Registration
-Web Portal to provide transparent and comprehensive information about
-application and registration progress.
+Ikoba, which means 'bucket' in Bini language, is a multifunctional Application and Registration Web Portal to provide transparent and comprehensive information about application and registration processes.
 
-Ikoba is the second flagships of the West African eCompany Project (WAeUP).
-See http://www.waeup.org to learn more about WAeUP.
+Ikoba is the second flagships of the West African eUniversity Project (WAeUP) Group. See http://www.waeup.org to learn more about WAeUP.
 
-Installation instructions can be found in the User Documentation (docs
-folder in the file system).
+Installation instructions can be found in the User Documentation (docs folder in the file system).
+
+
+Ikoba and Kofa - Similarities and differences
+---------------------------------------------
+
+Ikoba could be described as a customer registration, document verification and contract conclusion portal. Customers are being registered (customer registration workflow), documents are being verified (document verification workflow) and contracts are being applied for and concluded (contract workflow).
+
+Ikoba's user interface and its usability is very similar to WAeUP's Student Management System Kofa. This comprises:
+
+- Responsive webdesign (by Bootstrap)
+- User management
+- Permissions and roles
+- Authentication
+- Portal configuration
+- Data import (batch processing)
+- Data export
+- Logging
+- Reporting
+- Localization
+- Mandates
+- Notification and mailing
+- Data tables
+- etc.
+
+But in Ikoba there are completely new content components (models), views (including pdf slips) and controlling components.
+
+
+Company
+-------
+
+The main web application and container class is called 'Company' which corresponds to the University container in Kofa.
+
+Products
+--------
+
+Among others, a company includes a 'products' container which contains the products offered by the company. A product could be a license, a visa or any purchasable merchandise/article. In the base package a product has eight attributes:
+
+- unique product id,
+- title
+- contract title
+- contract_category
+- options (set of product options)
+- valid from
+- valid to
+- terms and conditions
+
+Products don't have a workflow.
+
+Public Documents
+----------------
+
+Public documents, which are likewise put up in a 'documents' container, are meant for publishing content on the portal. There are three types of public documents:
+
+- PDF documents
+- HTML documents
+- REST documents
+
+The first can be used to provide pdf files for download. The second and third can be used to create multilingual static html pages on the portal. HTML documents expect html coded text as input, REST documents expect reRtructuredText which is transformed into html. Public documents have a publication workflow with two states: created and published. Only published documents can be seen by anonymous users.
+
+Customers
+---------
+
+The company container also contains a 'customers' container which again contains all customers of the company. A customer object itself is also a container, containing all the documents and contracts owned by the customer. Beyond that, a customer is also an authenticated user of the system with a user account adapted to each customer object.
+
+The attributes of a customer in the base package are: customer id, firstname, middlename, lastname, sex, email, phone and a unique registration number which can be set by the company.
+
+Customers have a registration workflow with four states: created, started, requested and approved.
+
+Customer accounts can be temporarily suspended. Although suspension is not part of the workflow it does appear in the customer's workflow history.
+
+Only approved customers can conclude contracts (see below).
+
+Customer Documents
+------------------
+
+Customers are requested to upload scanned documents and images required e.g. for the conclusion of contracts. Each uploaded file is connected with a document object which carries the metadata of the scanned document. In the base package a customer document has only a title, a unique document id and an md5 attribute. The latter contains the md5 checksum of the connected (binary) file after verification.
+
+Documents have a verification workflow with five states: created, submitted, verified, rejected and expired.
+
+Various document classes can be implemented and selected by the customer to make customization as flexible as possible.
+
+Verified documents cannot be edited or manipulated. The md5 checksum proves the genuineness of the uploaded file.
+
+A pdf document slip can be downloaded. The slip is composed of a covering page and the scanned document badged by a watermark.
+
+Contracts
+---------
+
+Contracts are being concluded between the company and the customer. The customer applies for a contract by
+
+1. selecting a proper form (= contract class),
+2. selecting one of the products which belong to the contract class,
+3. filling the contract form,
+4. uploading required documents,
+5. submitting the documents for verification,
+6. linking the submitted documents on the contract form,
+7. submitting the contract form for approval.
+
+Company officers verify the documents and finally approve the contract which means that the contract is concluded. The contract can also be rejected or expire.
+
+Each contract class belongs to a contract category. The contract category defines the subset of products which can be selected when configuring the contract (see Products section above).
+
+A contract in the base package has a title, a unique contract id, one document reference, one product reference and list of product options.  A customized contract can have several document references, but it can only refer to a single product offered by the company. The product options determine the fees to be paid before a contract can be concluded.
+
+A contract can only be submitted if all documents attached to the contract have been at least submitted for verification.
+
+The contract workflow has the following states: created, submitted, approved, rejected and expired.
+
+A pdf contract slip can be downloaded.
Index: /main/waeup.ikoba/trunk/docs/source/_templates/mainpage.template
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/_templates/mainpage.template	(revision 12431)
+++ /main/waeup.ikoba/trunk/docs/source/_templates/mainpage.template	(revision 12432)
@@ -5,5 +5,5 @@
 <h1>{{ docstitle }}</h1>
 <p>
-  This is official documentation for waeup.kofa {{ release }}.
+  This is official documentation for waeup.ikoba {{ release }}.
   {% if last_updated %}Last modifed on {{ last_updated }}.{% endif %}
 </p>
@@ -15,5 +15,5 @@
       <a class="biglink"
          href="{{ pathto("intro") }}">Introduction</a><br />
-      <span class="linkdescr">Get started with waeup.kofa.</span>
+      <span class="linkdescr">Get started with waeup.ikoba.</span>
     </p>
 
@@ -22,5 +22,5 @@
          href="{{ pathto("userdocs/index") }}">User Documentation</a><br />
     <span class="linkdescr">
-      Documentation for users and admins using waeup.kofa.
+      Documentation for users and admins using waeup.ikoba.
     </span></p>
 
Index: /main/waeup.ikoba/trunk/docs/source/contents.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/contents.rst	(revision 12431)
+++ /main/waeup.ikoba/trunk/docs/source/contents.rst	(revision 12432)
@@ -2,5 +2,5 @@
 
 WAeUP.Ikoba Documentation Contents
-=================================
+==================================
 
 .. toctree::
Index: /main/waeup.ikoba/trunk/docs/source/glossary.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/glossary.rst	(revision 12431)
+++ /main/waeup.ikoba/trunk/docs/source/glossary.rst	(revision 12432)
@@ -7,10 +7,10 @@
 
    Ikoba
-     Student Information and Registration Portal.
+     Application and Registration Portal
 
    WAeUP
-     West African e-Company Project.
+     West African eUniversity Project
 
    waeup.ikoba
-     A Python package explained in this documentation.
+     A Python package explained in this documentation
 
Index: /main/waeup.ikoba/trunk/docs/source/index.rst
===================================================================
--- /main/waeup.ikoba/trunk/docs/source/index.rst	(revision 12431)
+++ /main/waeup.ikoba/trunk/docs/source/index.rst	(revision 12432)
@@ -1,3 +1,3 @@
-.. WAeUP Student Information and Registration Portal (Ikoba) documentation master file, created by
+.. WAeUP Application and Registration Portal (Ikoba) documentation master file, created by
    sphinx-quickstart on Thu Jul 29 10:41:59 2010.
    You can adapt this file completely to your liking, but it should at least
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/utils.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/utils.py	(revision 12431)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/utils.py	(revision 12432)
@@ -110,5 +110,5 @@
 def trans(text, lang):
     # shortcut
-    return translate(text, 'waeup.kofa', target_language=lang)
+    return translate(text, 'waeup.ikoba', target_language=lang)
 
 
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/locales/de/LC_MESSAGES/zope.po
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/locales/de/LC_MESSAGES/zope.po	(revision 12431)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/locales/de/LC_MESSAGES/zope.po	(revision 12432)
@@ -1,5 +1,5 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: WAeUP.KOFA\n"
+"Project-Id-Version: WAeUP.IKOBA\n"
 "PO-Revision-Date: 2012-04-13 10:21+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/locales/en/LC_MESSAGES/zope.po
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/locales/en/LC_MESSAGES/zope.po	(revision 12431)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/locales/en/LC_MESSAGES/zope.po	(revision 12432)
@@ -1,5 +1,5 @@
 msgid ""
 msgstr ""
-"Project-Id-Version: WAeUP.KOFA\n"
+"Project-Id-Version: WAeUP.IKOBA\n"
 "PO-Revision-Date: 2012-04-13 10:18+0100\n"
 "Last-Translator: Henrik Bettermann <henrik@waeup.org>\n"