Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/batching.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/batching.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: batching.py 12410 2015-01-07 08:49:38Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/browser.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: browser.py 12413 2015-01-07 09:20:45Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/catalog.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/catalog.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/catalog.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: catalog.py 12155 2014-12-05 18:30:41Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/container.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/container.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/container.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: container.py 12213 2014-12-13 10:51:17Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/document.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/document.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/document.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: document.py 12408 2015-01-06 09:15:21Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/export.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/export.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: export.py 12410 2015-01-07 08:49:38Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/fileviewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/fileviewlets.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/fileviewlets.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: fileviewlets.py 12243 2014-12-15 11:18:31Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/interfaces.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: interfaces.py 12408 2015-01-06 09:15:21Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/permissions.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/permissions.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/permissions.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: permissions.py 12206 2014-12-13 07:28:59Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_batching.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_batching.py	(revision 12438)
@@ -1,4 +1,4 @@
 # -*- coding: utf-8 -*-
-## $Id: test_batching.py 12288 2014-12-21 17:01:15Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_browser.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_browser.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: test_browser.py 12413 2015-01-07 09:20:45Z henrik $
+## $Id$
 ## 
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_document.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_document.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_document.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: test_document.py 12408 2015-01-06 09:15:21Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_export.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/tests/test_export.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: test_export.py 12365 2015-01-02 10:09:50Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/utils.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/utils.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: utils.py 12408 2015-01-06 09:15:21Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/viewlets.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/viewlets.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: viewlets.py 12215 2014-12-13 17:21:27Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
Index: main/waeup.kofa/trunk/src/waeup/kofa/documents/workflow.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/documents/workflow.py	(revision 12437)
+++ main/waeup.kofa/trunk/src/waeup/kofa/documents/workflow.py	(revision 12438)
@@ -1,3 +1,3 @@
-## $Id: workflow.py 12240 2014-12-15 07:44:01Z henrik $
+## $Id$
 ##
 ## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann