Index: main/waeup.ikoba/trunk/src/waeup/ikoba/browser/fileviewlets.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/browser/fileviewlets.py	(revision 12445)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/browser/fileviewlets.py	(revision 12446)
@@ -106,12 +106,6 @@
     grok.viewletmanager(FileManager)
     template = default_filedisplay_template
-    grok.order(1)
     label = _(u'File')
     title = _(u'Scan')
-    download_name = None
-
-    @property
-    def download_filename(self):
-        return u"%s.pdf" % self.context.document_id[:9]
 
     @property
@@ -135,8 +129,4 @@
     upload_button =_('Upload selected file')
     delete_button = _('Delete')
-
-    @property
-    def download_filename(self):
-        return u"%s.pdf" % self.context.document_id[:9]
 
     @property
@@ -183,9 +173,4 @@
     """
     grok.baseclass()
-    download_name = None
-
-    @property
-    def download_filename(self):
-        return u"%s.pdf" % self.context.document_id[:9]
 
     def render(self):
@@ -205,10 +190,9 @@
         elif ext == '.png':
             self.response.setHeader('Content-Type', 'image/png')
+        elif ext == '.tif':
+            self.response.setHeader('Content-Type', 'image/tiff')
         elif ext == '.pdf':
             self.response.setHeader('Content-Type', 'application/pdf')
-        elif ext == '.tif':
-            self.response.setHeader('Content-Type', 'image/tiff')
-        if self.download_filename:
             self.response.setHeader('Content-Disposition',
-                'attachment; filename="%s' % self.download_filename)
+                'attachment; filename="%s.pdf' % self.download_filename)
         return image
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/fileviewlets.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/fileviewlets.py	(revision 12445)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/fileviewlets.py	(revision 12446)
@@ -92,4 +92,5 @@
     mus = 1024 * 200
     download_name = u'sample'
+    download_filename = download_name
     tab_redirect = '#tab2'
 
@@ -115,4 +116,5 @@
     title = _(u'Sample Scan')
     download_name = u'sample'
+    download_filename = download_name
 
 
@@ -120,8 +122,10 @@
     """Scan document.
     """
+
     grok.name('sample')
     grok.context(CustomerSampleDocument)
     grok.require('waeup.viewCustomer')
     download_name = u'sample'
+    download_filename = download_name
 
 
@@ -141,4 +145,8 @@
     download_name = u'sample.pdf'
     tab_redirect = '#tab2'
+
+    @property
+    def download_filename(self):
+        return u"%s.pdf" % self.context.document_id[:9]
 
 
@@ -161,4 +169,8 @@
     download_name = u'sample.pdf'
 
+    @property
+    def download_filename(self):
+        return u"%s.pdf" % self.context.document_id[:9]
+
 
 class PDFScanImage(Image):
@@ -170,4 +182,8 @@
     download_name = u'sample.pdf'
 
+    @property
+    def download_filename(self):
+        return u"%s" % self.context.document_id[:9]
+
 
 class PDFScanSlip(PDFScanDisplay):
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/documents/fileviewlets.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/documents/fileviewlets.py	(revision 12445)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/documents/fileviewlets.py	(revision 12446)
@@ -43,4 +43,8 @@
     tab_redirect = '#tab2'
 
+    @property
+    def download_filename(self):
+        return u"%s.pdf" % self.context.document_id[:9]
+
 
 class PDFScanDisplay(FileDisplay):
@@ -55,4 +59,8 @@
     download_name = u'file.pdf'
 
+    @property
+    def download_filename(self):
+        return u"%s.pdf" % self.context.document_id[:9]
+
 
 class PDFScanImage(UtilityView, Image):
@@ -64,4 +72,8 @@
     download_name = u'file.pdf'
 
+    @property
+    def download_filename(self):
+        return u"%s" % self.context.document_id[:9]
+
     def update(self):
         if self.context.state != PUBLISHED: