Index: main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py
===================================================================
--- main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py	(revision 12422)
+++ main/kofacustom.nigeria/trunk/src/kofacustom/nigeria/students/viewlets.py	(revision 12449)
@@ -21,5 +21,5 @@
 from waeup.kofa.students.interfaces import IStudentsUtils
 from waeup.kofa.students.fileviewlets import (
-    FileDisplay, FileUpload, Image)
+    StudentFileDisplay, StudentFileUpload, StudentImage)
 from waeup.kofa.students.browser import ExportPDFClearanceSlipPage
 
@@ -37,5 +37,5 @@
 # Acceptance Letter
 
-class AcceptanceLetterDisplay(FileDisplay):
+class AcceptanceLetterDisplay(StudentFileDisplay):
     """Acceptance Letter display viewlet.
     """
@@ -48,5 +48,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class AcceptanceLetterUpload(FileUpload):
+class AcceptanceLetterUpload(StudentFileUpload):
     """AcceptanceLetter upload viewlet.
     """
@@ -58,5 +58,5 @@
     tab_redirect = '?tab2'
 
-class AcceptanceLetterImage(Image):
+class AcceptanceLetterImage(StudentImage):
     """Renders acceptance letter scan.
     """
@@ -66,5 +66,5 @@
 # LGA Identification
 
-class LGAIdentificationDisplay(FileDisplay):
+class LGAIdentificationDisplay(StudentFileDisplay):
     """LGA Identification display viewlet.
     """
@@ -77,5 +77,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class LGAIdentificationUpload(FileUpload):
+class LGAIdentificationUpload(StudentFileUpload):
     """LGA Identification upload viewlet.
     """
@@ -86,5 +86,5 @@
     download_name = u'lga_ident'
 
-class LGAIdentificationImage(Image):
+class LGAIdentificationImage(StudentImage):
     """Renders LGA Identification scan.
     """
@@ -94,5 +94,5 @@
 # First Sitting Result
 
-class FirstSittingResultDisplay(FileDisplay):
+class FirstSittingResultDisplay(StudentFileDisplay):
     """First Sitting Result display viewlet.
     """
@@ -105,5 +105,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class FirstSittingResultUpload(FileUpload):
+class FirstSittingResultUpload(StudentFileUpload):
     """First Sitting Result upload viewlet.
     """
@@ -114,5 +114,5 @@
     download_name = u'fst_sit_scan'
 
-class FirstSittingResultImage(Image):
+class FirstSittingResultImage(StudentImage):
     """Renders First Sitting Result scan.
     """
@@ -122,5 +122,5 @@
 # Second Sitting Result
 
-class SecondSittingResultDisplay(FileDisplay):
+class SecondSittingResultDisplay(StudentFileDisplay):
     """Second Sitting Result display viewlet.
     """
@@ -133,5 +133,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class SecondSittingResultUpload(FileUpload):
+class SecondSittingResultUpload(StudentFileUpload):
     """Second Sitting Result upload viewlet.
     """
@@ -142,5 +142,5 @@
     download_name = u'scd_sit_scan'
 
-class SecondSittingResultImage(Image):
+class SecondSittingResultImage(StudentImage):
     """Renders Second Sitting Result scan.
     """
@@ -150,5 +150,5 @@
 # Higher Qualification Result
 
-class HigherQualificationResultDisplay(FileDisplay):
+class HigherQualificationResultDisplay(StudentFileDisplay):
     """Higher Qualification Result display viewlet.
     """
@@ -161,5 +161,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class HigherQualificationResultUpload(FileUpload):
+class HigherQualificationResultUpload(StudentFileUpload):
     """Higher Qualification Result upload viewlet.
     """
@@ -170,5 +170,5 @@
     download_name = u'hq_scan'
 
-class HigherQualificationResultImage(Image):
+class HigherQualificationResultImage(StudentImage):
     """Renders Higher Qualification Result scan.
     """
@@ -178,5 +178,5 @@
 # 2nd Higher Qualification Result (PG Students only)
 
-class SecondHigherQualificationResultDisplay(FileDisplay):
+class SecondHigherQualificationResultDisplay(StudentFileDisplay):
     """Second Higher Qualification Result display viewlet.
     """
@@ -189,5 +189,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class SecondHigherQualificationResultUpload(FileUpload):
+class SecondHigherQualificationResultUpload(StudentFileUpload):
     """Second Higher Qualification Result upload viewlet.
     """
@@ -202,5 +202,5 @@
         return show_viewlet(self)
 
-class SecondHigherQualificationResultImage(Image):
+class SecondHigherQualificationResultImage(StudentImage):
     """Renders Second Higher Qualification Result scan.
     """
@@ -210,5 +210,5 @@
 # Advanced Level Result
 
-class AdvancedLevelResultDisplay(FileDisplay):
+class AdvancedLevelResultDisplay(StudentFileDisplay):
     """Advanced Level Result display viewlet.
     """
@@ -221,5 +221,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class AdvancedLevelResultUpload(FileUpload):
+class AdvancedLevelResultUpload(StudentFileUpload):
     """Advanced Level Result upload viewlet.
     """
@@ -230,5 +230,5 @@
     download_name = u'alr_scan'
 
-class AdvancedLevelResultImage(Image):
+class AdvancedLevelResultImage(StudentImage):
     """Renders Advanced Level Result scan.
     """
@@ -238,5 +238,5 @@
 # Certificate
 
-class CertificateDisplay(FileDisplay):
+class CertificateDisplay(StudentFileDisplay):
     """Certificate display viewlet.
     """
@@ -249,5 +249,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class CertificateUpload(FileUpload):
+class CertificateUpload(StudentFileUpload):
     """Certificate upload viewlet.
     """
@@ -258,5 +258,5 @@
     download_name = u'cert'
 
-class CertificateImage(Image):
+class CertificateImage(StudentImage):
     """Renders Certificate scan.
     """
@@ -266,5 +266,5 @@
 # Second Certificate (PG Students only)
 
-class SecondCertificateDisplay(FileDisplay):
+class SecondCertificateDisplay(StudentFileDisplay):
     """ Second Certificate display viewlet.
     """
@@ -277,5 +277,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class SecondCertificateUpload(FileUpload):
+class SecondCertificateUpload(StudentFileUpload):
     """Second Certificate upload viewlet.
     """
@@ -290,5 +290,5 @@
         return show_viewlet(self)
 
-class SecondCertificateImage(Image):
+class SecondCertificateImage(StudentImage):
     """Renders Second Certificate scan.
     """
@@ -298,5 +298,5 @@
 # Third Certificate (PG Students only)
 
-class ThirdCertificateDisplay(FileDisplay):
+class ThirdCertificateDisplay(StudentFileDisplay):
     """ Third Certificate display viewlet.
     """
@@ -309,5 +309,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class ThirdCertificateUpload(FileUpload):
+class ThirdCertificateUpload(StudentFileUpload):
     """Third Certificate upload viewlet.
     """
@@ -322,5 +322,5 @@
         return show_viewlet(self)
 
-class ThirdCertificateImage(Image):
+class ThirdCertificateImage(StudentImage):
     """Renders Third Certificate scan.
     """
@@ -330,5 +330,5 @@
 # Evidence of Name
 
-class EvidenceNameDisplay(FileDisplay):
+class EvidenceNameDisplay(StudentFileDisplay):
     """Evidence of Name display viewlet.
     """
@@ -341,5 +341,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class EvidenceNameUpload(FileUpload):
+class EvidenceNameUpload(StudentFileUpload):
     """Evidence of Name upload viewlet.
     """
@@ -350,5 +350,5 @@
     download_name = u'evid'
 
-class EvidenceNameImage(Image):
+class EvidenceNameImage(StudentImage):
     """Renders Evidence of Name scan.
     """
@@ -358,5 +358,5 @@
 # Result Statement
 
-class ResultStatementDisplay(FileDisplay):
+class ResultStatementDisplay(StudentFileDisplay):
     """Result Statement display viewlet.
     """
@@ -369,5 +369,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class ResultStatementUpload(FileUpload):
+class ResultStatementUpload(StudentFileUpload):
     """Result Statement upload viewlet.
     """
@@ -378,5 +378,5 @@
     download_name = u'res_stat'
 
-class ResultStatementImage(Image):
+class ResultStatementImage(StudentImage):
     """Renders Result Statement scan.
     """
@@ -386,5 +386,5 @@
 # Referee Letter
 
-class RefereeLetterDisplay(FileDisplay):
+class RefereeLetterDisplay(StudentFileDisplay):
     """Referee Letter display viewlet.
     """
@@ -397,5 +397,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class RefereeLetterUpload(FileUpload):
+class RefereeLetterUpload(StudentFileUpload):
     """Referee Letter upload viewlet.
     """
@@ -406,5 +406,5 @@
     download_name = u'ref_let'
 
-class RefereeLetterImage(Image):
+class RefereeLetterImage(StudentImage):
     """Renders Referee Letter scan.
     """
@@ -414,5 +414,5 @@
 # Second Referee Letter (PG Students only)
 
-class SecondRefereeLetterDisplay(FileDisplay):
+class SecondRefereeLetterDisplay(StudentFileDisplay):
     """Second Referee Letter display viewlet.
     """
@@ -425,5 +425,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class SecondRefereeLetterUpload(FileUpload):
+class SecondRefereeLetterUpload(StudentFileUpload):
     """Referee Letter upload viewlet.
     """
@@ -438,5 +438,5 @@
         return show_viewlet(self)
 
-class SecondRefereeLetterImage(Image):
+class SecondRefereeLetterImage(StudentImage):
     """Renders Referee Letter scan.
     """
@@ -446,5 +446,5 @@
 # Third Referee Letter (PG Students only)
 
-class ThirdRefereeLetterDisplay(FileDisplay):
+class ThirdRefereeLetterDisplay(StudentFileDisplay):
     """Third Referee Letter display viewlet.
     """
@@ -457,5 +457,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class ThirdRefereeLetterUpload(FileUpload):
+class ThirdRefereeLetterUpload(StudentFileUpload):
     """Referee Letter upload viewlet.
     """
@@ -470,5 +470,5 @@
         return show_viewlet(self)
 
-class ThirdRefereeLetterImage(Image):
+class ThirdRefereeLetterImage(StudentImage):
     """Renders Referee Letter scan.
     """
@@ -478,5 +478,5 @@
 # Affidavit (former Statutory Declaration) of Good Conduct
 
-class StatutoryDeclarationDisplay(FileDisplay):
+class StatutoryDeclarationDisplay(StudentFileDisplay):
     """Statutory Declaration of Good Conduct display viewlet.
     """
@@ -489,5 +489,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class StatutoryDeclarationUpload(FileUpload):
+class StatutoryDeclarationUpload(StudentFileUpload):
     """Statutory Declaration of Good Conduct upload viewlet.
     """
@@ -498,5 +498,5 @@
     download_name = u'stat_dec'
 
-class StatutoryDeclarationImage(Image):
+class StatutoryDeclarationImage(StudentImage):
     """Renders Affidavit of Good Conduct scan.
     """
@@ -506,5 +506,5 @@
 # Letter of Admission (PG Students only)
 
-class LetterAdmissionDisplay(FileDisplay):
+class LetterAdmissionDisplay(StudentFileDisplay):
     """Letter of Admission display viewlet.
     """
@@ -517,5 +517,5 @@
     grok.view(ExportPDFClearanceSlipPage)
 
-class LetterAdmissionUpload(FileUpload):
+class LetterAdmissionUpload(StudentFileUpload):
     """Letter of Admission upload viewlet.
     """
@@ -530,5 +530,5 @@
         return show_viewlet(self)
 
-class LetterAdmissionImage(Image):
+class LetterAdmissionImage(StudentImage):
     """Renders Letter of Admission scan.
     """