Index: /main/kofacustom.sampleuni/trunk/CHANGES.txt
===================================================================
--- /main/kofacustom.sampleuni/trunk/CHANGES.txt	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/CHANGES.txt	(revision 12482)
@@ -2,6 +2,8 @@
 *******
 
-1.2dev (unreleased)
-===================
+1.2.dev0 (unreleased)
+=====================
+
+* Pin waeup.kofa 1.3.1
 
 * Adjust to layout changes made in base package.
Index: /main/kofacustom.sampleuni/trunk/layout/static/css/base.css
===================================================================
--- /main/kofacustom.sampleuni/trunk/layout/static/css/base.css	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/layout/static/css/base.css	(revision 12482)
@@ -98,5 +98,5 @@
 }
 
-.wfstatus {
+.wfstatus, .wfstatus-sub {
     text-align: center;
     background-color: #909090;
@@ -320,4 +320,18 @@
 }
 
+ /* docutils stuff */
+
+.section h1 {
+    font-size: 30px}
+
+.section h2 {
+    font-size: 24px}
+
+.section h3 {
+    font-size: 18px}
+
+.section h4 {
+    font-size: 14px}
+
 /* Smartphone styles */
 
Index: /main/kofacustom.sampleuni/trunk/setup.py
===================================================================
--- /main/kofacustom.sampleuni/trunk/setup.py	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/setup.py	(revision 12482)
@@ -9,5 +9,5 @@
     'grokui.admin',
     'grokcore.startup',
-    'waeup.kofa >= 1.2',
+    'waeup.kofa >= 1.3.1',
     ],
 
Index: /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/export.py
===================================================================
--- /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/export.py	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/export.py	(revision 12482)
@@ -20,8 +20,8 @@
 import grok
 from waeup.kofa.applicants.interfaces import IApplicantBaseData
-from waeup.kofa.applicants.export import ApplicantsExporter
+from waeup.kofa.applicants.export import ApplicantExporter
 from kofacustom.sampleuni.applicants.interfaces import ICustomApplicant
 
-class CustomApplicantsExporter(ApplicantsExporter):
+class CustomApplicantExporter(ApplicantExporter):
     """Exporter for Custom Applicants.
     """
Index: /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/tests/test_browser.py
===================================================================
--- /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/tests/test_browser.py	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/applicants/tests/test_browser.py	(revision 12482)
@@ -29,5 +29,5 @@
 from waeup.kofa.applicants.tests.test_browser import ApplicantsFullSetup
 from waeup.kofa.applicants.tests.test_batching import ApplicantImportExportSetup
-from kofacustom.sampleuni.applicants.export import CustomApplicantsExporter
+from kofacustom.sampleuni.applicants.export import CustomApplicantExporter
 from kofacustom.sampleuni.applicants.batching import CustomApplicantProcessor
 
@@ -37,10 +37,10 @@
     layer = FunctionalLayer
 
-class ApplicantsExporterTest(ApplicantImportExportSetup):
+class ApplicantExporterTest(ApplicantImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(ApplicantsExporterTest, self).setUp()
+        super(ApplicantExporterTest, self).setUp()
         self.outfile = os.path.join(self.workdir, 'myoutput.csv')
         self.cat = getUtility(ICatalog, name='applicants_catalog')
@@ -76,5 +76,5 @@
         # set values we can expect in export file
         self.applicant = self.setup_applicant(self.applicant)
-        exporter = CustomApplicantsExporter()
+        exporter = CustomApplicantExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
Index: /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py
===================================================================
--- /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/export.py	(revision 12482)
@@ -25,5 +25,5 @@
     ICustomStudentOnlinePayment)
 from waeup.kofa.students.export import (
-    StudentsExporter,
+    StudentExporter,
     StudentStudyCourseExporter,
     StudentStudyLevelExporter,
@@ -32,5 +32,5 @@
 from waeup.kofa.utils.helpers import iface_names
 
-class CustomStudentsExporter(StudentsExporter):
+class CustomStudentExporter(StudentExporter):
     """Exporter for Students.
     """
Index: /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py
===================================================================
--- /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/tests/test_export.py	(revision 12482)
@@ -7,14 +7,14 @@
 from kofacustom.sampleuni.utils.utils import CustomKofaUtils
 from kofacustom.sampleuni.students.export import (
-    CustomStudentsExporter, CustomStudentPaymentsExporter)
+    CustomStudentExporter, CustomStudentPaymentsExporter)
 from kofacustom.sampleuni.testing import FunctionalLayer
 
 
-class CustomStudentsExporterTest(StudentImportExportSetup):
+class CustomStudentExporterTest(StudentImportExportSetup):
 
     layer = FunctionalLayer
 
     def setUp(self):
-        super(CustomStudentsExporterTest, self).setUp()
+        super(CustomStudentExporterTest, self).setUp()
         self.setup_for_export()
         result_entry = ResultEntry(
@@ -32,7 +32,7 @@
     def test_ifaces(self):
         # make sure we fullfill interface contracts
-        obj = CustomStudentsExporter()
+        obj = CustomStudentExporter()
         verifyObject(ICSVExporter, obj)
-        verifyClass(ICSVExporter, CustomStudentsExporter)
+        verifyClass(ICSVExporter, CustomStudentExporter)
         return
 
@@ -42,5 +42,5 @@
         # set values we can expect in export file
         self.setup_student(self.student)
-        exporter = CustomStudentsExporter()
+        exporter = CustomStudentExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()
@@ -90,6 +90,6 @@
             'p_item,p_level,p_session,p_state,payment_date,r_amount_approved,'
             'r_code,r_desc,student_id,state,current_session\r\n666,'
-            '12.12,2012-04-01 13:12:01,schoolfee,1,my-id,p-item,'
-            '100,2012,paid,2012-04-01 14:12:01,12.12,r-code,,'
+            '12.12,2012-04-01 13:12:01#,schoolfee,1,my-id,p-item,'
+            '100,2012,paid,2012-04-01 14:12:01#,12.12,r-code,,'
             'A111111,created,2012\r\n',
             result
Index: /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py
===================================================================
--- /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/src/kofacustom/sampleuni/students/viewlets.py	(revision 12482)
@@ -22,6 +22,6 @@
 from kofacustom.sampleuni.students.interfaces import (
     ICustomStudentStudyCourse, ICustomStudentStudyLevel)
-from waeup.kofa.students.viewlets import (
-    FileDisplay, FileUpload, Image)
+from waeup.kofa.students.fileviewlets import (
+    StudentFileDisplay, StudentFileUpload, Image)
 from waeup.kofa.students.browser import (
     ExportPDFClearanceSlipPage, StudyCourseDisplayFormPage,
Index: /main/kofacustom.sampleuni/trunk/versions.cfg
===================================================================
--- /main/kofacustom.sampleuni/trunk/versions.cfg	(revision 12481)
+++ /main/kofacustom.sampleuni/trunk/versions.cfg	(revision 12482)
@@ -151,4 +151,9 @@
 zc.zodbrecipes = 2.0.0
 
-# Added by buildout at 2014-06-24 13:10:20.531045
-waeup.kofa = 1.2
+waeup.kofa = 1.3.1
+
+# Added by buildout at 2015-01-16 07:34:12.267717
+
+# Required by:
+# waeup.kofa==1.3.1
+psutil = 2.2.0